import { AsyncPipe, JsonPipe } from '@angular/common';
import { Component } from '@angular/core';
import { MatButton } from '@angular/material/button';
import { ActivatedRoute } from '@angular/router';
import { Employee, EmployeeService } from '@core/ems';
import { Observable, of } from 'rxjs';

@Component({
    selector: 'app-employee-detail',
    imports: [AsyncPipe, JsonPipe, MatButton],
    templateUrl: './employee-detail.component.html',
    styleUrl: './employee-detail.component.scss'
})
export class EmployeeDetailComponent {
    isNewEmployee: boolean;
    $employee: Observable<Employee | undefined> = of();
    constructor(private route: ActivatedRoute, private employeeService: EmployeeService) {
        const idParam = this.route.snapshot.paramMap.get('id');
        this.isNewEmployee = idParam == null;

        if (this.isNewEmployee) {
            return;
        }

        const id = parseInt(idParam as string);
        this.$employee = this.employeeService.getEmployee({ id });
    }

    onAbort() {

    }

    onCreate() {

    }

    onSave() {

    }
}
